<?php
	include("config/sysconfig.php");
	include("dbconnect.php");

function calculateTextBox($font_size, $font_angle, $font_file, $text) {
  $box   = imagettfbbox($font_size, $font_angle, $font_file, $text);
  if( !$box )
    return false;
  $min_x = min( array($box[0], $box[2], $box[4], $box[6]) );
  $max_x = max( array($box[0], $box[2], $box[4], $box[6]) );
  $min_y = min( array($box[1], $box[3], $box[5], $box[7]) );
  $max_y = max( array($box[1], $box[3], $box[5], $box[7]) );
  $width  = ( $max_x - $min_x );
  $height = ( $max_y - $min_y );
  $left   = abs( $min_x ) + $width;
  $top    = abs( $min_y ) + $height;
  // to calculate the exact bounding box i write the text in a large image
  $img     = @imagecreatetruecolor( $width << 2, $height << 2 );
  $white   =  imagecolorallocate( $img, 255, 255, 255 );
  $black   =  imagecolorallocate( $img, 0, 0, 0 );
  imagefilledrectangle($img, 0, 0, imagesx($img), imagesy($img), $black);
  // for sure the text is completely in the image!
  imagettftext( $img, $font_size,
                $font_angle, $left, $top,
                $white, $font_file, $text);
  // start scanning (0=> black => empty)
  $rleft  = $w4 = $width<<2;
  $rright = 0;
  $rbottom   = 0;
  $rtop = $h4 = $height<<2;
  for( $x = 0; $x < $w4; $x++ )
    for( $y = 0; $y < $h4; $y++ )
      if( imagecolorat( $img, $x, $y ) ){
        $rleft   = min( $rleft, $x );
        $rright  = max( $rright, $x );
        $rtop    = min( $rtop, $y );
        $rbottom = max( $rbottom, $y );
      }
  // destroy img and serve the result
  imagedestroy( $img );
  return array( "left"   => $left - $rleft,
                "top"    => $top  - $rtop,
                "width"  => $rright - $rleft + 1,
                "height" => $rbottom - $rtop + 1 );
} 


	$r=mysql_query('SELECT Zeichensatz, Name, Vorname FROM benutzer WHERE pKey='. ($_GET["id"]+0));
	$z=mysql_fetch_array($r);

	// The text to draw
	$text =  $z["Name"] .", ". $z["Vorname"]; //'Söllner - 肖, 煌';
	
	$_GET["size"] = $_GET["size"]+0;
	if ($_GET["size"]>20 || $_GET["size"]<6) { $_GET["size"]=20; }
	
	// Replace path by your own font path
	$font = 'verdana.ttf';
	if ($z["Zeichensatz"] == "Bengali") { $font = 'AkaashNormal.ttf'; }
	if ($z["Zeichensatz"] == "Chinese") { $font = 'bkai00mp.ttf'; }
	$font = $_SERVER['DOCUMENT_ROOT'].'/classes/font/'.$font;

	// Create the image
	$sizeArray = calculateTextBox($_GET["size"], 0, $font, $text);

	$im = imagecreatetruecolor($sizeArray["width"]+1, $sizeArray["height"]+1);
	// Create some colors
	$white = imagecolorallocate($im, 255, 255, 255);
	$grey  = imagecolorallocate($im, 128, 128, 128);
	$black = imagecolorallocate($im, 0,   0,   0);
	imagefilledrectangle($im, 0, 0, $sizeArray["width"], $sizeArray["height"], $white);

	
	

	// Add some shadow to the text
	if ($_GET["size"]>10) {
		imagettftext($im, $_GET["size"], 0, $sizeArray["left"]+1, $sizeArray["top"]+1, $grey, $font, $text);
	}
	// Add the text
	imagettftext($im, $_GET["size"], 0, $sizeArray["left"], $sizeArray["top"], $black, $font, $text);
	
	header('Content-type: image/png');
	imagepng($im);
?>
